Create a content fragment
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/content_fragment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"contentType": "<string>",
"context": {
"profilePictureUrl": "<string>"
},
"url": "<string>",
"fileId": "<string>"
}
'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/content_fragment"
payload = {
"title": "<string>",
"content": "<string>",
"contentType": "<string>",
"context": { "profilePictureUrl": "<string>" },
"url": "<string>",
"fileId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
contentType: '<string>',
context: {profilePictureUrl: '<string>'},
url: '<string>',
fileId: '<string>'
})
};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/content_fragment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contentFragment": {
"type": "content_fragment",
"sId": "<string>",
"title": "<string>",
"contentType": "<string>",
"id": 123,
"created": 123,
"version": 123,
"rank": 123,
"sourceUrl": "<string>",
"context": {
"username": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"contentFragmentId": "<string>",
"expiredReason": "data_source_deleted",
"fileId": "<string>",
"path": "<string>",
"skipDataSourceIndexing": true,
"skipFileProcessing": true,
"snippet": "<string>",
"textUrl": "<string>",
"textBytes": 123,
"nodeId": "<string>",
"nodeDataSourceViewId": "<string>"
}
}Private Conversations
Create a content fragment
Post a new content fragment to an existing conversation.
POST
/
api
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
content_fragment
Create a content fragment
Authorizations
Your DUST API key is a Bearer token.
Body
application/json
Response
Successfully created content fragment
A content fragment (file or content node attachment) in a conversation.
Show child attributes
Show child attributes
⌘I